import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 商品价格明细服务对象基类
 *
 * @export
 * @class IBIZSample0009ServiceBase
 * @extends {EntityServie}
 */
export default class IBIZSample0009ServiceBase extends EntityService {

    /**
     * Creates an instance of  IBIZSample0009ServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IBIZSample0009ServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof IBIZSample0009ServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='ibizsample0009';
        this.APPDEKEY = 'ibizsample0009id';
        this.APPDENAME = 'ibizsample0009s';
        this.APPDETEXT = 'ibizsample0009name';
        this.APPNAME = 'demo';
        this.SYSTEMNAME = 'demosys';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZSample0009ServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            let res:any = Http.getInstance().post(`/ibizsample0009s/${context.ibizsample0009}/select`,data,isloading);

            return res;
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZSample0009ServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }
}